package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "废气无组织VO")
public class GasPEMonitoringPointVO {

    @ApiModelProperty(value = "监测点主键标识")
    private String monitoringPointId;

    @ApiModelProperty(value = "无组织监测点位名称")
    @Excel(name = "无组织监测点位名称", width = 25, sort = 1)
    private String monitoringPointName;

    @ApiModelProperty(value = "无组织监测点位编号")
    @Excel(name = "无组织监测点位编号", width = 25, sort = 2)
    private String outletCode;

    @ApiModelProperty(value = "是否手工填报 1-是/该字段为1时，才可以对数据进行编辑| 删除时 该字段传-1/编辑传空即可")
    private String isManualEntry;

    public String getMonitoringPointId() {
        return (monitoringPointId != null) ? monitoringPointId : "";
    }

    public void setMonitoringPointId(String monitoringPointId) {
        this.monitoringPointId = monitoringPointId;
    }

    public String getMonitoringPointName() {
        return (monitoringPointName != null) ? monitoringPointName : "";
    }

    public void setMonitoringPointName(String monitoringPointName) {
        this.monitoringPointName = monitoringPointName;
    }

    public String getOutletCode() {
        return (outletCode != null) ? outletCode : "";
    }

    public void setOutletCode(String outletCode) {
        this.outletCode = outletCode;
    }

    public String getIsManualEntry() {
        return isManualEntry;
    }

    public void setIsManualEntry(String isManualEntry) {
        this.isManualEntry = isManualEntry;
    }
}
